eoMerge(3)

NAME
eoMerge - eoMerge: Base class for elitist replacement algorithms.

SYNOPSIS

#include <eoMerge.h>

Inherits eoBF< const eoPop< Chrom > &, eoPop< Chrom > &, void >.

Detailed Description

  template<class Chrom> class eoMerge< Chrom >
eoMerge: Base class for elitist replacement algorithms. Merges the old population (first argument), with the new generation

Its signature is exactly that of the selection base eoSelect, but its purpose is to merge the two populations into one (the second argument). Note that the algorithms assume that the second argument denotes the next generation.

Definition at line 48 of file eoMerge.h.

Author

Generated automatically by Doxygen for EO from the source code.